#---------------------------------------------------------------------------
# Makefile for the SINQ hardware support library
#
# Mark Koennecke, November 1996
#--------------------------------------------------------------------------
OBJ=   el734_utility.o asynsrv_utility.o stredit.o \
     strjoin.o geterrno.o  el737_utility.o  sinqhm.o serialsinq.o \
     itc4util.o dillutil.o table.o el755_utility.o el755_errorlog.o \
     makeprint.o	

#---------- for Redhat linux
#CC= gcc
#CFLAGS= -I/usr/local/include -I. -I../ -DLINUX   -g -c

#------------ for DigitalUnix
CC=cc
CFLAGS= -I/data/koenneck/include -I. -I../   -std1 -g -c
#------------ for DigitalUnix with Fortify
#CFLAGS= -I/data/koenneck/include -DFORTIFY -I. -I../   -std1 -g -c

#------------ for CYGNUS toolchain on Win32
#CC=gcc
#CFLAGS= -I. -I../ -DCYGNUS -g -c

.c.o:
	$(CC) $(CFLAGS) $*.c

hlib: $(OBJ)
	- rm libhlib.a
	ar cr libhlib.a $(OBJ)
	ranlib libhlib.a

clean:
	rm *.o
	rm *.a
